function MayronUI_SideBars:OnEnable()
	local mui_sideBars = CreateFrame("Button", "MUI_SideBars", UIParent, "MUI_SideBars");
	local main = CreateFrame("Button", "MUI_SideButton1", MUI_SideBars, "MUI_SideButtonTemplate");
	local second = CreateFrame("Button", "MUI_SideButton2", MUI_SideBars, "MUI_SideButtonTemplate");
	main:SetFrameStrata("MEDIUM");
	second:SetFrameStrata("MEDIUM");
	second:SetPoint("RIGHT", MUI_SideBars, "LEFT", 2, -100);
	
	mui_sideBars:RegisterEvent("PET_BATTLE_OPENING_START");
	mui_sideBars:RegisterEvent("PET_BATTLE_CLOSE");		
	mui_sideBars:SetScript("OnEvent", function(self, event)
		if (event == "PET_BATTLE_OPENING_START") then
			mui_sideBars:Hide();		
		elseif (event == "PET_BATTLE_CLOSE") then
			mui_sideBars:Show();
		end	
	end)
	
	-- Initialize SideBars (before WatchFrame):
	if ( IsAddOnLoaded("Bartender4") ) then 
		Bartender4:GetModule("ActionBars"):EnableBar(4);
		Bartender4:GetModule("ActionBars"):EnableBar(3);
	end
	
	local ONE_BAR_WIDTH;
	local TWO_BARS_WIDTH;
	local Y_OFFSET;
	
	function MayronUI_SideBars:UpdateSettings()
		ONE_BAR_WIDTH = MayronUI.db.profile.SideBars["1 Bar Width"] or 44;
		TWO_BARS_WIDTH = MayronUI.db.profile.SideBars["2 Bars Width"] or 80;
		ONE_BAR_WIDTH, TWO_BARS_WIDTH = -(ONE_BAR_WIDTH), -(TWO_BARS_WIDTH);
		Y_OFFSET = MayronUI.db.profile.SideBars["ofsy"] or 64;
		local height = MayronUI.db.profile.SideBars["Height"] or 486;

		MUI_SideBars:SetHeight(height); 
		if (not MayronUI.db.profile.SideBars["SideBar_State"]) then
			mui_sideBars:SetPoint("LEFT", UIParent, "RIGHT", 0, Y_OFFSET);
		elseif (MayronUI.db.profile.SideBars["SideBar_State"] == 1) then
			mui_sideBars:SetPoint("LEFT", UIParent, "RIGHT", ONE_BAR_WIDTH, Y_OFFSET);
		elseif (MayronUI.db.profile.SideBars["SideBar_State"] == 2) then
			mui_sideBars:SetPoint("LEFT", UIParent, "RIGHT", TWO_BARS_WIDTH, Y_OFFSET);
		end
	end
	MayronUI_SideBars:UpdateSettings();
	
	local function End_Animation(x)
		local x = (x and (math.ceil(x))) or (math.ceil(select(4, mui_sideBars:GetPoint("LEFT"))));
		if (x == TWO_BARS_WIDTH) then			
			main.state = 1; -- if main is 1 then retracts, if nil then expands on click.
			second.state = nil; -- if second is nil then it is hidden, if 1 then retract on click.
			main:SetPoint("RIGHT", MUI_SideBars, "LEFT", 2, 0);
			main:Show();
			second:Hide();
			main:SetText(">");
			if ( IsAddOnLoaded("Bartender4") ) then 
				BT4Bar4:SetConfigAlpha(1);
				BT4Bar3:SetConfigAlpha(1);
				Bartender4.Bar.barregistry["4"]:SetVisibilityOption("always", false);
				Bartender4.Bar.barregistry["3"]:SetVisibilityOption("always", false);
			end
			MayronUI.db.profile.SideBars["SideBar_State"] = 2;
			return true;
		elseif ( x == 0 ) then
			main.state = nil;
			second.state = nil;
			main:SetPoint("RIGHT", MUI_SideBars, "LEFT", 2, 0);
			main:Show();
			second:Hide();
			main:SetText("<");
			if ( IsAddOnLoaded("Bartender4") ) then 			
				BT4Bar4:SetConfigAlpha(0);
				BT4Bar3:SetConfigAlpha(0);
				Bartender4.Bar.barregistry["4"]:SetVisibilityOption("always", true)
				Bartender4.Bar.barregistry["3"]:SetVisibilityOption("always", true)
			end
			MayronUI.db.profile.SideBars["SideBar_State"] = nil;
			return true;
		elseif ( x == ONE_BAR_WIDTH ) then -- half way point
			main.state = nil;
			second.state = 1;
			main:SetPoint("RIGHT", MUI_SideBars, "LEFT", 2, 100);
			main:Show();
			second:Show();
			main:SetText("<");
			second:SetText(">");
			if ( IsAddOnLoaded("Bartender4") ) then 
				BT4Bar4:SetConfigAlpha(0);
				BT4Bar3:SetConfigAlpha(1);
				Bartender4.Bar.barregistry["4"]:SetVisibilityOption("always", true)
				Bartender4.Bar.barregistry["3"]:SetVisibilityOption("always", false)
			end
			MayronUI.db.profile.SideBars["SideBar_State"] = 1;
			return true;
		end
	end
	End_Animation()
	
	do
		local btnName, alpha;
		local point, relFrame, relPoint, x, y = mui_sideBars:GetPoint("LEFT");
		local group = mui_sideBars:CreateAnimationGroup()
		local ANIMATION_SPEED = MayronUI.db.profile.SideBars["Animation Speed"] or 0.8;

		group.move = group:CreateAnimation()
		group.move:SetDuration(ANIMATION_SPEED / 100)
		group:SetLooping("REPEAT")

		function MayronUI_SideBars:SetAnimation(value)
			ANIMATION_SPEED = value or 0.8;
			group.move:SetDuration(ANIMATION_SPEED / 100)
		end
		
		function MayronUI_SideBars:GetAnimation()
			return ANIMATION_SPEED;
		end
		
		group:SetScript("OnLoop", function(self)	
			if ( btnName == "MUI_SideButton1" ) then -- main button
				if ( main.state ) then
					x = x + 1; -- retract bar 2
					if ( IsAddOnLoaded("Bartender4") ) then
						alpha = BT4Bar4:GetAlpha();
						if (alpha > 0 ) then						
							BT4Bar4:SetConfigAlpha(alpha - 0.1);						
						end
					end
				else
					x = x - 1; -- expand bar 2 or 1
					if ( IsAddOnLoaded("Bartender4") ) then 
						if ( Bartender4.Bar.barregistry["3"]:GetVisibilityOption("always") ) then
							alpha = BT4Bar3:GetAlpha();
							if ( alpha < 1 ) then BT4Bar3:SetConfigAlpha(alpha + 0.1) end
						else
							alpha = BT4Bar4:GetAlpha();
							if ( alpha < 1 ) then BT4Bar4:SetConfigAlpha(alpha + 0.1) end
						end
					end
				end
			elseif ( btnName == "MUI_SideButton2" ) then -- second button
				if ( second.state ) then
					x = x + 1; -- retract bar 1
					if ( IsAddOnLoaded("Bartender4") ) then
						alpha = BT4Bar3:GetAlpha();
						if ( alpha > 0 ) then 
							BT4Bar3:SetConfigAlpha(alpha - 0.1) 
						end
					end
				else
					error("#501 MUI_SideButton2 clicked with Unknown state.");
				end
			else error("#502 Loop initiated with Unknown button click."); self:Stop() end	

			local finished = End_Animation(x);
			mui_sideBars:SetPoint(point, relFrame, relPoint, x, (MayronUI.db.profile.SideBars.ofsy or y) );	
			if (finished) then self:Stop(); return end			
		end)
	
		function MayronUI_SideBars:SideButton_OnClick(self)
			if ( InCombatLockdown() ) then return end
			PlaySoundFile(MUI_MEDIA .. "Sound\\Click.ogg");
			main:Hide();
			second:Hide();
			if (self) then btnName = self:GetName(); end
			if (not MayronUI.db.profile.SideBars["SideBar_State"]) then
				x = 0;				
			elseif (MayronUI.db.profile.SideBars["SideBar_State"] == 1) then
				x = ONE_BAR_WIDTH;
			elseif (MayronUI.db.profile.SideBars["SideBar_State"] == 2) then
				x = TWO_BARS_WIDTH;
			end
			group:Play();
		end
	end
	
	main:SetScript("OnClick", function(self) MayronUI_SideBars:SideButton_OnClick(self) end)
	second:SetScript("OnClick", function(self) MayronUI_SideBars:SideButton_OnClick(self) end)
end