MayronUI_SetupUI.Import["Grid"] = function()
	if ( MayronUI_SetupUI:IsEnabled() ) then
		local settings = {
			["namespaces"] = {
				["GridStatusVehicle"] = {
				},
				["GridStatusAncientBarrier"] = {
					["profiles"] = {
						["MayronUIH"] = {
							["unit_ancient_barrier"] = {
								["priority"] = 99,
							},
						},
					},
				},
				["GridStatusRaidIcons"] = {
					["profiles"] = {
						["Default"] = {
							["alert_raidicons_playertarget"] = {
								["priority"] = 80,
							},
						},
						["MayronUIH"] = {
							["alert_raidicons_playertarget"] = {
								["priority"] = 80,
							},
						},
					},
				},
				["GridStatusRole"] = {
					["profiles"] = {
						["MayronUIH"] = {
							["role"] = {
								["assignedOpacity"] = 0.2,
								["filter"] = {
									["ranged"] = false,
									["melee"] = false,
								},
							},
						},
						["Default"] = {
							["role"] = {
								["filter"] = {
									["ranged"] = false,
									["melee"] = false,
								},
								["assignedOpacity"] = 0.2,
							},
						},
					},
				},
				["LibDualSpec-1.0"] = {
				},
				["GridStatusResurrect"] = {
				},
				["DungeonRole"] = {
				},
				["GridStatusMouseover"] = {
				},
				["GridStatusRaidIcon"] = {
				},
				["GridStatusAbsorbs"] = {
				},
				["GridRoster"] = {
				},
				["GridMBStatus"] = {
					["profiles"] = {
						["Default"] = {
							["hiderage"] = true,
							["color"] = {
								["g"] = 0.501960784313726,
							},
						},
						["MayronUIH"] = {
							["hiderage"] = true,
							["color"] = {
								["g"] = 0.501960784313726,
							},
						},
					},
				},
				["GridStatusAuras"] = {
					["profiles"] = {
						["MayronUIH"] = {
							["buff_Renew"] = {
								["icon"] = "Interface\\Icons\\Spell_Holy_Renew",
							},
							["buff_Riptide"] = {
								["icon"] = "Interface\\Icons\\spell_nature_riptide",
							},
							["buff_BeaconofLight"] = {
								["icon"] = "Interface\\Icons\\Ability_Paladin_BeaconofLight",
							},
							["advancedOptions"] = true,
							["buff_Rejuvenation"] = {
								["icon"] = "Interface\\Icons\\Spell_Nature_Rejuvenation",
							},
							["buff_EarthShield"] = {
								["missing"] = false,
								["mine"] = true,
								["statusText"] = "count",
								["icon"] = "Interface\\Icons\\Spell_Nature_SkinofEarth",
								["durationTenths"] = true,
							},
							["buff_Regrowth"] = {
								["icon"] = "Interface\\Icons\\Spell_Nature_ResistNature",
							},
							["buff_PowerWord:Shield"] = {
								["icon"] = "Interface\\Icons\\Spell_Holy_PowerWordShield",
							},
							["buff_Lifebloom"] = {
								["icon"] = "Interface\\Icons\\INV_Misc_Herb_Felblossom",
							},
						},
						["Default"] = {
							["buff_EarthShield"] = {
								["missing"] = false,
								["durationTenths"] = true,
								["statusText"] = "count",
								["icon"] = "Interface\\Icons\\Spell_Nature_SkinofEarth",
								["mine"] = true,
							},
							["buff_Riptide"] = {
								["icon"] = "Interface\\Icons\\spell_nature_riptide",
							},
							["buff_PowerWord:Shield"] = {
								["icon"] = "Interface\\Icons\\Spell_Holy_PowerWordShield",
							},
							["buff_Rejuvenation"] = {
								["icon"] = "Interface\\Icons\\Spell_Nature_Rejuvenation",
							},
							["advancedOptions"] = true,
							["buff_Renew"] = {
								["icon"] = "Interface\\Icons\\Spell_Holy_Renew",
							},
						},
					},
				},
				["GridStatusTarget"] = {
				},
				["GridMBFrame"] = {
					["profiles"] = {
						["Default"] = {
							["side"] = "Bottom",
							["size"] = 0.1,
						},
						["MayronUIH"] = {
							["side"] = "Bottom",
							["size"] = 0.1,
						},
					},
				},
				["GridStatusRaidDebuff"] = {
					["profiles"] = {
						["Default"] = {
							["detected_debuff"] = {
								["Throne of Thunder"] = {
									["Arterial Cut"] = 133768,
									["Bright Light"] = 133737,
									["Scorched"] = 134647,
									["Sanctuary of the Ox"] = 126119,
									["Jade Spirit"] = 104993,
									["Electrical Shock"] = 136914,
									["Foul Venom"] = 139310,
									["Soothing Mist"] = 125950,
									["Freeze"] = 135145,
									["Touch of the Animus"] = 138659,
									["Infrared Light"] = 133732,
									["Blue Rays"] = 133675,
									["Serious Wound"] = 133767,
									["Overloaded Circuits"] = 137176,
									["Fusion Slash"] = 136478,
									["Harsh Light"] = 137152,
									["Decapitate"] = 134912,
									["Arcing Lightning"] = 136193,
									["Flames of Passion"] = 137417,
									["Static Shock"] = 135695,
									["Impale"] = 134691,
									["Burning Winds"] = 136261,
									["Rushing Winds"] = 137654,
									["Slumber Spores"] = 136722,
									["Windburn"] = 140208,
									["Stone Bulwark"] = 114893,
									["Anima Font"] = 138691,
									["Frozen Blood"] = 137664,
									["Fortitude"] = 137593,
									["Matter Swap"] = 138609,
									["Anima Ring"] = 136962,
									["Gnawed Upon"] = 134668,
									["Infected Bite"] = 139314,
									["Life Drain"] = 137727,
									["Violent Gale Winds"] = 136889,
									["Efflorescence"] = 142423,
									["Dancing Steel"] = 120032,
									["Wind Storm"] = 136577,
									["Dead Zone"] = 135147,
									["Volatile Pathogen"] = 136228,
									["Lingering Gaze"] = 134626,
									["Burning Cinders"] = 137668,
									["Malformed Blood"] = 136050,
									["Fan of Flames"] = 137408,
									["Storm Cloud"] = 137669,
									["Explosive Slam"] = 138569,
									["Spirit Beast Blessing"] = 127830,
									["Electrified"] = 136615,
									["Fully Mutated"] = 140546,
									["Beast of Nightmares"] = 137375,
									["Putrify"] = 139317,
									["Corrupted Healing"] = 137360,
									["Crashing Thunder"] = 135153,
									["Frozen Solid"] = 136892,
									["Soul Link"] = 108446,
									["Lightning Storm"] = 136192,
									["Lightning Bolt"] = 136853,
									["Invoke Tiger Spirit"] = 138264,
									["Overcharged"] = 136295,
									["Lightning Burst"] = 138196,
									["Stormlash Totem"] = 120676,
									["Overcharge"] = 136326,
									["Discharged Energy"] = 134821,
									["Healing Stream Totem"] = 119523,
									["Shockwave"] = 139215,
									["Carnivorous Bite"] = 122962,
								},
								["Siege of Orgrimmar"] = {
									["Shredding Blast"] = 148576,
									["Efflorescence"] = 81262,
									["Jade Spirit"] = 104993,
									["Colossus"] = 116631,
								},
							},
							["isFirst"] = false,
						},
						["MayronUIH"] = {
							["detected_debuff"] = {
								["Throne of Thunder"] = {
									["Discharged Energy"] = 134821,
									["Bright Light"] = 133737,
									["Scorched"] = 134647,
									["Sanctuary of the Ox"] = 126119,
									["Jade Spirit"] = 104993,
									["Electrical Shock"] = 136914,
									["Foul Venom"] = 139310,
									["Soothing Mist"] = 125950,
									["Freeze"] = 135145,
									["Touch of the Animus"] = 138659,
									["Infrared Light"] = 133732,
									["Blue Rays"] = 133675,
									["Serious Wound"] = 133767,
									["Overloaded Circuits"] = 137176,
									["Fusion Slash"] = 136478,
									["Harsh Light"] = 137152,
									["Decapitate"] = 134912,
									["Arcing Lightning"] = 136193,
									["Flames of Passion"] = 137417,
									["Static Shock"] = 135695,
									["Impale"] = 134691,
									["Burning Winds"] = 136261,
									["Rushing Winds"] = 137654,
									["Slumber Spores"] = 136722,
									["Explosive Slam"] = 138569,
									["Stone Bulwark"] = 114893,
									["Anima Font"] = 138691,
									["Frozen Blood"] = 137664,
									["Fortitude"] = 137593,
									["Matter Swap"] = 138609,
									["Anima Ring"] = 136962,
									["Gnawed Upon"] = 134668,
									["Infected Bite"] = 139314,
									["Life Drain"] = 137727,
									["Violent Gale Winds"] = 136889,
									["Efflorescence"] = 142423,
									["Dancing Steel"] = 120032,
									["Wind Storm"] = 136577,
									["Soul Link"] = 108446,
									["Frozen Solid"] = 136892,
									["Lingering Gaze"] = 134626,
									["Burning Cinders"] = 137668,
									["Malformed Blood"] = 136050,
									["Fan of Flames"] = 137408,
									["Storm Cloud"] = 137669,
									["Windburn"] = 140208,
									["Shockwave"] = 139215,
									["Electrified"] = 136615,
									["Fully Mutated"] = 140546,
									["Spirit Beast Blessing"] = 127830,
									["Overcharge"] = 136326,
									["Stormlash Totem"] = 120676,
									["Lightning Burst"] = 138196,
									["Overcharged"] = 136295,
									["Dead Zone"] = 135147,
									["Lightning Bolt"] = 136853,
									["Lightning Storm"] = 136192,
									["Invoke Tiger Spirit"] = 138264,
									["Volatile Pathogen"] = 136228,
									["Crashing Thunder"] = 135153,
									["Corrupted Healing"] = 137360,
									["Putrify"] = 139317,
									["Beast of Nightmares"] = 137375,
									["Healing Stream Totem"] = 119523,
									["Arterial Cut"] = 133768,
									["Carnivorous Bite"] = 122962,
								},
								["Siege of Orgrimmar"] = {
									["Magistrike"] = 145563,
									["Colossus"] = 116631,
									["Shadowflame"] = 145551,
									["Sundering Blow"] = 143494,
									["Assassin's Mark"] = 145561,
									["Displaced Energy"] = 142913,
									["Shredding Blast"] = 148576,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Hunter's Mark"] = 143882,
									["Efflorescence"] = 81262,
									["Dancing Steel"] = 120032,
									["River's Song"] = 116660,
									["Ancient Miasma"] = 142861,
									["Scorched Earth"] = 146228,
									["Soul Link"] = 108446,
									["Bonecracker"] = 145568,
									["Fortitude"] = 137593,
									["Languish"] = 143919,
									["Fatal Strike"] = 142990,
									["Healing Stream Totem"] = 119523,
									["Rend"] = 146927,
									["Power Word: Barrier"] = 81782,
								},
							},
							["isFirst"] = false,
						},
					},
				},
				["GridStatusHeals"] = {
				},
				["GridStatusHealth"] = {
					["profiles"] = {
						["MayronUIH"] = {
							["unit_health"] = {
								["useClassColors"] = false,
								["color"] = {
									["b"] = 0.290196078431373,
									["g"] = 0.290196078431373,
									["r"] = 0.290196078431373,
								},
								["priority"] = 99,
							},
						},
						["Default"] = {
							["unit_health"] = {
								["color"] = {
									["r"] = 0.290196078431373,
									["g"] = 0.290196078431373,
									["b"] = 0.290196078431373,
								},
								["useClassColors"] = false,
								["priority"] = 99,
							},
						},
					},
				},
				["GridStatusAFK"] = {
				},
				["GridIndicatorCornerIcons"] = {
					["profiles"] = {
						["Default"] = {
							["iconSizeBottomLeftCorner"] = 12,
							["enableIconStackText"] = true,
							["IconStackTextXaxis"] = 2,
							["IconStackTextSize"] = 12,
							["iconSizeBottomRightCorner"] = 12,
							["IconStackTextYaxis"] = 0,
							["iconSizeTopRightCorner"] = 12,
							["xoffset"] = 2,
							["enableIconCooldown"] = true,
							["iconSizeTopLeftCorner"] = 12,
							["yoffset"] = -2,
						},
						["MayronUIH"] = {
							["iconSizeBottomLeftCorner"] = 12,
							["enableIconStackText"] = true,
							["IconStackTextXaxis"] = 2,
							["IconStackTextSize"] = 12,
							["iconSizeBottomRightCorner"] = 12,
							["IconStackTextYaxis"] = 0,
							["iconSizeTopRightCorner"] = 12,
							["xoffset"] = 2,
							["enableIconCooldown"] = true,
							["iconSizeTopLeftCorner"] = 12,
							["yoffset"] = -2,
						},
					},
				},
				["GridStatusRange"] = {
				},
				["GridStatusMana"] = {
				},
				["GridStatus"] = {
					["profiles"] = {
						["Default"] = {
							["colors"] = {
								["HUNTER"] = {
									["r"] = 0.67,
									["g"] = 0.83,
									["b"] = 0.45,
								},
								["WARRIOR"] = {
									["r"] = 0.78,
									["g"] = 0.61,
									["b"] = 0.43,
								},
								["PALADIN"] = {
									["r"] = 0.96,
									["g"] = 0.55,
									["b"] = 0.73,
								},
								["MAGE"] = {
									["r"] = 0.41,
									["g"] = 0.8,
									["b"] = 0.94,
								},
								["PRIEST"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["WARLOCK"] = {
									["r"] = 0.58,
									["g"] = 0.51,
									["b"] = 0.79,
								},
								["SHAMAN"] = {
									["r"] = 0,
									["g"] = 0.44,
									["b"] = 0.87,
								},
								["ROGUE"] = {
									["r"] = 1,
									["g"] = 0.96,
									["b"] = 0.41,
								},
								["DRUID"] = {
									["r"] = 1,
									["g"] = 0.49,
									["b"] = 0.04,
								},
								["MONK"] = {
									["r"] = 0,
									["g"] = 1,
									["b"] = 0.59,
								},
								["DEATHKNIGHT"] = {
									["r"] = 0.77,
									["g"] = 0.12,
									["b"] = 0.23,
								},
							},
						},
						["MayronUIH"] = {
							["colors"] = {
								["PALADIN"] = {
									["b"] = 0.73,
									["g"] = 0.55,
									["r"] = 0.96,
								},
								["MAGE"] = {
									["b"] = 0.94,
									["g"] = 0.8,
									["r"] = 0.41,
								},
								["DRUID"] = {
									["b"] = 0.04,
									["g"] = 0.49,
									["r"] = 1,
								},
								["MONK"] = {
									["b"] = 0.59,
									["g"] = 1,
									["r"] = 0,
								},
								["DEATHKNIGHT"] = {
									["b"] = 0.23,
									["g"] = 0.12,
									["r"] = 0.77,
								},
								["PRIEST"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["ROGUE"] = {
									["b"] = 0.41,
									["g"] = 0.96,
									["r"] = 1,
								},
								["WARLOCK"] = {
									["b"] = 0.79,
									["g"] = 0.51,
									["r"] = 0.58,
								},
								["HUNTER"] = {
									["b"] = 0.45,
									["g"] = 0.83,
									["r"] = 0.67,
								},
								["WARRIOR"] = {
									["b"] = 0.43,
									["g"] = 0.61,
									["r"] = 0.78,
								},
								["SHAMAN"] = {
									["b"] = 0.87,
									["g"] = 0.44,
									["r"] = 0,
								},
							},
						},
					},
				},
				["GridStatusAggro"] = {
				},
				["GridStatusVoiceComm"] = {
				},
				["GridStatusReadyCheck"] = {
				},
				["GridIndicatorExtra"] = {
				},
				["GridStatusGroup"] = {
				},
				["GridLayout"] = {
					["profiles"] = {
						["Default"] = {
							["hideTab"] = true,
							["anchorRel"] = "BOTTOMLEFT",
							["PosY"] = 0,
							["borderSize"] = 1,
							["layouts"] = {
								["party"] = "None",
								["raid_10"] = "By Group 25",
								["solo"] = "None",
							},
							["layout"] = "None",
							["Spacing"] = 0,
							["Padding"] = 0,
							["FrameLock"] = true,
							["borderInset"] = 5,
							["borderColor"] = {
								["a"] = 0,
								["r"] = 0.501960784313726,
								["g"] = 0.501960784313726,
								["b"] = 0.501960784313726,
							},
							["PosX"] = 0,
							["anchor"] = "BOTTOMLEFT",
							["horizontal"] = true,
							["backgroundColor"] = {
								["a"] = 0,
								["r"] = 0,
								["g"] = 0,
								["b"] = 0,
							},
							["groupAnchor"] = "BOTTOMLEFT",
						},
						["MayronUIH"] = {
							["hideTab"] = true,
							["anchorRel"] = "BOTTOMRIGHT",
							["layouts"] = {
								["raid_10"] = "By Group 25",
								["solo"] = "None",
							},
							["FrameLock"] = true,
							["borderSize"] = 1,
							["PosX"] = -419,
							["anchor"] = "BOTTOMRIGHT",
							["backgroundColor"] = {
								["a"] = 0,
								["b"] = 0,
								["g"] = 0,
								["r"] = 0,
							},
							["groupAnchor"] = "BOTTOMRIGHT",
							["PosY"] = 104,
							["layout"] = "None",
							["borderInset"] = 5,
							["Spacing"] = 0,
							["Padding"] = 0,
							["horizontal"] = true,
							["borderColor"] = {
								["a"] = 0,
								["b"] = 0.501960784313726,
								["g"] = 0.501960784313726,
								["r"] = 0.501960784313726,
							},
						},
					},
				},
				["GridStatusName"] = {
				},
				["GridStatusUnitPower"] = {
				},
				["GridFrame"] = {
					["profiles"] = {
						["MayronUIH"] = {
							["fontSize"] = 11,
							["statusmap"] = {
								["gie_text_topleft"] = {
								},
								["gie_icon_botleft"] = {
								},
								["gie_icon_topleft2"] = {
								},
								["gie_text_right"] = {
								},
								["text"] = {
									["alert_afk"] = false,
									["unit_healthDeficit"] = false,
									["alert_heals"] = false,
								},
								["gie_icon_topleft"] = {
									["buff_EarthShield"] = true,
								},
								["gie_icon_left"] = {
								},
								["gie_icon_botleft2"] = {
								},
								["gie_icon_botright2"] = {
								},
								["gie_icon_bottom"] = {
								},
								["border"] = {
									["player_target"] = false,
								},
								["gie_text_left"] = {
								},
								["gie_icon_botright"] = {
								},
								["gie_text_botleft"] = {
								},
								["gie_icon_left2"] = {
								},
								["gie_text_top"] = {
								},
								["text2"] = {
									["alert_afk"] = true,
								},
								["gie_icon_top"] = {
								},
								["gie_text_bottom"] = {
								},
								["gie_icon_right"] = {
								},
								["gie_text_botright"] = {
								},
								["gie_icon_topright"] = {
								},
								["gie_text_topright"] = {
								},
								["gie_icon_topright2"] = {
								},
								["gie_icon_right2"] = {
								},
							},
							["iconSize"] = 25,
							["textlength"] = 5,
							["texture"] = "ChiselLight",
							["frameHeight"] = 50,
							["enableText2"] = true,
							["orientation"] = "HORIZONTAL",
							["cornerSize"] = 5,
							["frameWidth"] = 61,
						},
						["Default"] = {
							["fontSize"] = 11,
							["statusmap"] = {
								["gie_text_botright"] = {
								},
								["gie_icon_bottom"] = {
								},
								["border"] = {
									["player_target"] = false,
								},
								["gie_icon_topright"] = {
								},
								["gie_text_topleft"] = {
								},
								["gie_text_botleft"] = {
								},
								["gie_text_topright"] = {
								},
								["gie_icon_left2"] = {
								},
								["gie_icon_topright2"] = {
								},
								["gie_text_bottom"] = {
								},
								["text2"] = {
									["alert_afk"] = true,
								},
								["gie_text_right"] = {
								},
								["gie_icon_top"] = {
								},
								["gie_icon_topleft"] = {
									["buff_EarthShield"] = true,
								},
								["text"] = {
									["alert_afk"] = false,
									["alert_heals"] = false,
									["unit_healthDeficit"] = false,
								},
								["gie_icon_right2"] = {
								},
								["gie_icon_botleft"] = {
								},
								["gie_icon_left"] = {
								},
								["gie_text_left"] = {
								},
								["gie_icon_botleft2"] = {
								},
								["gie_icon_right"] = {
								},
								["gie_icon_topleft2"] = {
								},
								["gie_text_top"] = {
								},
								["gie_icon_botright2"] = {
								},
								["gie_icon_botright"] = {
								},
							},
							["enableText2"] = true,
							["cornerSize"] = 5,
							["frameWidth"] = 61,
							["iconSize"] = 25,
							["orientation"] = "HORIZONTAL",
							["frameHeight"] = 50,
							["textlength"] = 5,
							["texture"] = "ChiselLight",
						},
					},
				},
			},
			["global"] = {
				["debug"] = {
					["GridFrame"] = false,
				},
			},
			["profiles"] = {
				["Default"] = {
					["minimap"] = {
						["hide"] = true,
					},
					["standaloneOptions"] = true,
				},
				["MayronUIH"] = {
					["minimap"] = {
						["hide"] = true,
					},
					["standaloneOptions"] = true,
				},
			},
		}
		
		for k,v in pairs(settings) do
			GridDB[k] = v;
		end
	end
end